using System;

internal sealed class Delegate746 : MulticastDelegate
{
	public extern DateTime Invoke(DateTime dateTime_0, DateTimeKind dateTimeKind_0);

	public static DateTime smethod_0(DateTime dateTime_0, DateTimeKind dateTimeKind_0, Delegate746 delegate746_1)
	{
		return delegate746_1(dateTime_0, dateTimeKind_0);
	}

	public extern Delegate746(object object_0, IntPtr intptr_0);

	static Delegate746()
	{
		Class10.smethod_13(typeof(Delegate746).TypeHandle);
	}

	internal static Delegate746 delegate746_0;
}
